Update credit grant
curl --request PUT \
--url https://us.api.flexprice.io/v1/creditgrants/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"end_date": "2023-11-07T05:31:56Z",
"metadata": {},
"name": "<string>"
}
'import requests
url = "https://us.api.flexprice.io/v1/creditgrants/{id}"
payload = {
"end_date": "2023-11-07T05:31:56Z",
"metadata": {},
"name": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({end_date: '2023-11-07T05:31:56Z', metadata: {}, name: '<string>'})
};
fetch('https://us.api.flexprice.io/v1/creditgrants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"addon_id": "<string>",
"cadence": "ONETIME",
"conversion_rate": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"credit_grant_anchor": "2023-11-07T05:31:56Z",
"credits": "<string>",
"end_date": "2023-11-07T05:31:56Z",
"environment_id": "<string>",
"expiration_duration": 123,
"expiration_duration_unit": "DAY",
"expiration_type": "NEVER",
"id": "<string>",
"metadata": {},
"name": "<string>",
"period": "DAILY",
"period_count": 123,
"plan_id": "<string>",
"priority": 123,
"scope": "PLAN",
"start_date": "2023-11-07T05:31:56Z",
"status": "published",
"subscription_id": "<string>",
"tenant_id": "<string>",
"topup_conversion_rate": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}Credit Grants
Update credit grant
Use when changing a credit grant (e.g. amount or end date). Request body contains the fields to update.
PUT
/
creditgrants
/
{id}
Update credit grant
Authorizations
Enter your API key in the format x-api-key <api-key>*
Path Parameters
Credit Grant ID
Body
application/json
Credit Grant configuration
Response
OK
Available options:
ONETIME, RECURRING amount in the currency = number of credits * conversion_rate ex if conversion_rate is 1, then 1 USD = 1 credit ex if conversion_rate is 2, then 1 USD = 0.5 credits ex if conversion_rate is 0.5, then 1 USD = 2 credits
Available options:
DAY, WEEK, MONTH, YEAR Available options:
NEVER, DURATION, BILLING_CYCLE Show child attributes
Show child attributes
Available options:
DAILY, WEEKLY, MONTHLY, ANNUAL, QUARTERLY, HALF_YEARLY Available options:
PLAN, SUBSCRIPTION, ADDON Available options:
published, deleted, archived topup_conversion_rate is the conversion rate for the topup to the currency ex if topup_conversion_rate is 1, then 1 USD = 1 credit ex if topup_conversion_rate is 2, then 1 USD = 0.5 credits ex if topup_conversion_rate is 0.5, then 1 USD = 2 credits

